Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface TaskControl

All Superinterfaces:
  Serializable, TaskAnnotations, TaskBaseAnnotations, TaskBaseControl

    public interface TaskControl

extends TaskBaseControl, TaskAnnotations, Serializable

The Task control enables a client to create a single Task instance, manage its state and data, and provide callback methods that report status. Each Task control operates on a single active Task instance. You can extend this control.

Nested Class Summary
`static interface` | `TaskControl.Callback` Users define their own callback interfaces by extending Callback, and annotating the methods in their callback interface with TaskBaseAnnotations.TaskEvent annotations.

Nested classes/interfaces inherited from interface com.bea.control.TaskBaseAnnotations
`TaskBaseAnnotations.AssigneeDefinitionAnno, TaskBaseAnnotations.AssignmentInstructions81x, TaskBaseAnnotations.AssignmentInstructionsAnno, TaskBaseAnnotations.BusinessTimeAnno, TaskBaseAnnotations.ContainerHandleAnno, TaskBaseAnnotations.DateTimeSpec, TaskBaseAnnotations.FieldName, TaskBaseAnnotations.Flag, TaskBaseAnnotations.PropertyValue, TaskBaseAnnotations.StepTimeEstimate, TaskBaseAnnotations.TaskAbort, TaskBaseAnnotations.TaskAssign, TaskBaseAnnotations.TaskAssign81x, TaskBaseAnnotations.TaskClaim, TaskBaseAnnotations.TaskClaim81x, TaskBaseAnnotations.TaskComplete, TaskBaseAnnotations.TaskCreate, TaskBaseAnnotations.TaskDelete, TaskBaseAnnotations.TaskGetData, TaskBaseAnnotations.TaskGetInfo, TaskBaseAnnotations.TaskGetProperties, TaskBaseAnnotations.TaskGetPropertyNames81x, TaskBaseAnnotations.TaskGetRequest81x, TaskBaseAnnotations.TaskGetResponse81x, TaskBaseAnnotations.TaskPlanID, TaskBaseAnnotations.TaskRemoveProperties81x, TaskBaseAnnotations.TaskResume, TaskBaseAnnotations.TaskReturn, TaskBaseAnnotations.TaskReturn81x, TaskBaseAnnotations.TaskSetError, TaskBaseAnnotations.TaskSetProperties, TaskBaseAnnotations.TaskSetProperty81x, TaskBaseAnnotations.TaskSetRequest81x, TaskBaseAnnotations.TaskSetResponse81x, TaskBaseAnnotations.TaskStart81x, TaskBaseAnnotations.TaskStop81x, TaskBaseAnnotations.TaskSuspend, TaskBaseAnnotations.TaskTakeAction, TaskBaseAnnotations.TaskUpdate81x`

Nested classes/interfaces inherited from interface com.bea.control.TaskAnnotations
`TaskAnnotations.TaskEventAnno, TaskAnnotations.TaskGetCurrentStepEnum, TaskAnnotations.TaskGetStepInterface, TaskAnnotations.TaskPlanAnno`

Nested classes/interfaces inherited from interface com.bea.control.TaskBaseAnnotations
`TaskBaseAnnotations.AssigneeDefinitionAnno, TaskBaseAnnotations.AssignmentInstructions81x, TaskBaseAnnotations.AssignmentInstructionsAnno, TaskBaseAnnotations.BusinessTimeAnno, TaskBaseAnnotations.ContainerHandleAnno, TaskBaseAnnotations.DateTimeSpec, TaskBaseAnnotations.FieldName, TaskBaseAnnotations.Flag, TaskBaseAnnotations.PropertyValue, TaskBaseAnnotations.StepTimeEstimate, TaskBaseAnnotations.TaskAbort, TaskBaseAnnotations.TaskAssign, TaskBaseAnnotations.TaskAssign81x, TaskBaseAnnotations.TaskClaim, TaskBaseAnnotations.TaskClaim81x, TaskBaseAnnotations.TaskComplete, TaskBaseAnnotations.TaskCreate, TaskBaseAnnotations.TaskDelete, TaskBaseAnnotations.TaskGetData, TaskBaseAnnotations.TaskGetInfo, TaskBaseAnnotations.TaskGetProperties, TaskBaseAnnotations.TaskGetPropertyNames81x, TaskBaseAnnotations.TaskGetRequest81x, TaskBaseAnnotations.TaskGetResponse81x, TaskBaseAnnotations.TaskPlanID, TaskBaseAnnotations.TaskRemoveProperties81x, TaskBaseAnnotations.TaskResume, TaskBaseAnnotations.TaskReturn, TaskBaseAnnotations.TaskReturn81x, TaskBaseAnnotations.TaskSetError, TaskBaseAnnotations.TaskSetProperties, TaskBaseAnnotations.TaskSetProperty81x, TaskBaseAnnotations.TaskSetRequest81x, TaskBaseAnnotations.TaskSetResponse81x, TaskBaseAnnotations.TaskStart81x, TaskBaseAnnotations.TaskStop81x, TaskBaseAnnotations.TaskSuspend, TaskBaseAnnotations.TaskTakeAction, TaskBaseAnnotations.TaskUpdate81x`

Field Summary
`static Integer` | `CALENDAR_TYPE_NAME` Deprecated.
`static Integer` | `CALENDAR_TYPE_SYSTEM` Deprecated.
`static Integer` | `CALENDAR_TYPE_USER_OR_GROUP` Deprecated.

Method Summary
`TaskData` | `getTaskData()`
`TaskDataXMLDocument` | `getTaskDataXMLDocument()`
`String` | `getTaskId()`
`TaskInfo` | `getTaskInfo()` Deprecated. Use getTaskData instead
`TaskInfoXMLDocument` | `getTaskInfoXMLDocument()` Deprecated. Use getTaskDataXMLDocument instead
`String[]` | `getTaskPropertiesNames()` Deprecated. Use getTaskPlan().getPropertyNames() instead.
`void` | `setTaskId(String taskId)` Set the TaskId the control is linked to.
`void` | `updateTask(TaskUpdateXMLDocument doc)`

Methods inherited from interface com.bea.control.TaskBaseControl
`constructTask, createTask, getTaskPlan`

Field Detail

### CALENDAR_TYPE_SYSTEM

    @Deprecated
    static final Integer CALENDAR_TYPE_SYSTEM

  Deprecated.

### CALENDAR_TYPE_USER_OR_GROUP

    @Deprecated
    static final Integer CALENDAR_TYPE_USER_OR_GROUP

  Deprecated.

### CALENDAR_TYPE_NAME

    @Deprecated
    static final Integer CALENDAR_TYPE_NAME

  Deprecated.

Method Detail

### setTaskId

    void setTaskId(String taskId)

  Set the TaskId the control is linked to. The taskId can only be set once. When a task is created, its taskId is set to the control if no taskId has been set before or returns an exception otherwise. If you want to work with more than one taskId you can use multiple controls or the TaskBatchControl.

### getTaskId

    String getTaskId()

### getTaskInfo

    TaskInfo getTaskInfo()

  Deprecated. Use getTaskData instead

### getTaskData

    TaskData getTaskData()

### getTaskInfoXMLDocument

    TaskInfoXMLDocument getTaskInfoXMLDocument()

  Deprecated. Use getTaskDataXMLDocument instead

### getTaskDataXMLDocument

    TaskDataXMLDocument getTaskDataXMLDocument()

### getTaskPropertiesNames

    @Deprecated
    String[] getTaskPropertiesNames()

  Deprecated. Use getTaskPlan().getPropertyNames() instead.

### updateTask

    void updateTask(TaskUpdateXMLDocument doc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD